package bean;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;



@WebService(name = "MyEmployee", serviceName = "MyEmployeeService")
//@Stateless
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager entityManager;

  public EmployeeBean() {
  }

  @WebMethod
  public void createEmployee(@WebParam(name = "employee")Employee c) {
    entityManager.persist(c);
  }

  @WebMethod
  @WebResult(name = "Employee")
  public Employee findEmployee(@WebParam(name = "ID")int pKey) {
    return entityManager.find(Employee.class, pKey);
  }
}
